%define oname   winrm-fs

Name:       ruby-%{oname}
Version:    1.3.5
Release:    %mkrel 2
Summary:    Ruby library for file system operations via Windows Remote Management
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/WinRb/winrm-fs
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby library for file system operations via Windows Remote Management

%files
%{_bindir}/rwinrmcp
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.5-2.mga10
+ Revision: 2220216
- Mageia 10 Mass Rebuild

* Thu Nov 02 2023 neoclust <neoclust> 1.3.5-1.mga10
+ Revision: 2003630
- imported package ruby-winrm-fs

